package p04_instrukcje;

import java.util.Scanner;

public class Bagaz_v3 {

	/* W tej wersji:
	 * - rozbijamy warunki do oddzielnych if-ów, aby program napisał dlaczego bagaż został odrzucony
	 * - ważne jednak, aby program ostatecznie potwierdził akceptację bagażu, lub napisał jednoznacznie, że odrzuca
	 * - program wypisuje tylko pierwszą przyczynę odrzucenia
	 * - sprawdzanie warunków pozytywnych prowadzi tutaj do powstania kodu wielokrotnie zagnieżdżonego
	 *   (if w ifie i kolejnym ifie...)
	 *   "else jest daleko od swojego if-a"
	 */
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Podaj 3 liczby - wymiary bagażu: ");
		int x = scanner.nextInt();
		int y = scanner.nextInt();
		int z = scanner.nextInt();
		int obj = x*y*z;
		
		if(x <= 50) {
			if (y <= 50) {
				if (z <= 50) {
					if (obj <= 50000) {
						System.out.println("Bagaż zaakceptowany");
						System.out.println("Otwieram bramki");
						// zazwyczaj, gdy wszystko jest OK, to jest większa robota do wykonania
					} else {
						System.out.println("objętość zbyt duża");
					}
				} else {
					System.out.println("z zbyt duży");
				}
			} else {
				System.out.println("y zbyt duży");
			}
		} else {
			System.out.println("x zbyt duży");
		}
	}

}
